Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.order
Class OrderValue

    java.lang.Object
      com.beasys.commerce.foundation.SmartValue
          com.beasys.commerce.ebusiness.order.OrderValue

All Implemented Interfaces
  Serializable

Deprecated

    @Deprecated
    public class OrderValue

extends SmartValue

This class represents the state of Order entity.

See Also
  `Order`, `OrderHome`, `Order.getOrderByValue()`, `Order.setOrderByValue(OrderValue)`, Serialized Form

Field Summary
`List` | `adjustmentPresentations` Deprecated Order Adjustments, mostly discounts, used by the JSP, as a list of OrderDiscountPresentation objects.
`Date` | `createdDate` Deprecated Date of creation of the order
`Customer` | `customer` Deprecated A transient reference to the Customer entity
`javax.ejb.Handle` | `customerHandle` Deprecated
`String` | `identifier` Deprecated Primary key attribue.
`Collection` | `orderLines` Deprecated Collection of OrderLine objects associated with this order
`String` | `orderStatus` Deprecated Status of the order
`PaymentTransaction` | `paymentTransaction` Deprecated A transient reference to the PaymentTransaction entity
`javax.ejb.Handle` | `paymentTransactionHandle` Deprecated
`Money` | `price` Deprecated Total value of the order
`Money` | `shipping` Deprecated Shipping cost
`com.beasys.commerce.axiom.contact.Address` | `shippingAddress` Deprecated Shipping address
`String` | `shippingMethod` Deprecated Shipping method
`String` | `specialInstructions` Deprecated Special instructions for shipping
`String` | `splittingPreference` Deprecated Order splitting preference
`double` | `subtotal` Deprecated Subtotal of the order
`Money` | `tax` Deprecated Total tax on the order

Constructor Summary
`OrderValue()` Deprecated Constructs an OrderValue object

Method Summary
`Money` | `getBaseShipping()` Deprecated The base shipping is not kept in the database currently.
`Money` | `getTotal(int totalType)` Deprecated Gets the order total for the given total type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### customerHandle

    public javax.ejb.Handle customerHandle

  Deprecated

### paymentTransactionHandle

    public javax.ejb.Handle paymentTransactionHandle

  Deprecated

### identifier

    public String identifier

  Deprecated
  Primary key attribue. Represents the state of the associated OrderPk object.

### createdDate

    public Date createdDate

  Deprecated
  Date of creation of the order

### shippingMethod

    public String shippingMethod

  Deprecated
  Shipping method

### customer

    public transient Customer customer

  Deprecated
  A transient reference to the Customer entity

### shippingAddress

    public com.beasys.commerce.axiom.contact.Address shippingAddress

  Deprecated
  Shipping address

### shipping

    public Money shipping

  Deprecated
  Shipping cost

### paymentTransaction

    public transient PaymentTransaction paymentTransaction

  Deprecated
  A transient reference to the PaymentTransaction entity

### orderStatus

    public String orderStatus

  Deprecated
  Status of the order

### orderLines

    public Collection orderLines

  Deprecated
  Collection of OrderLine objects associated with this order

### tax

    public Money tax

  Deprecated
  Total tax on the order

### price

    public Money price

  Deprecated
  Total value of the order

### subtotal

    public double subtotal

  Deprecated
  Subtotal of the order

### specialInstructions

    public String specialInstructions

  Deprecated
  Special instructions for shipping

### splittingPreference

    public String splittingPreference

  Deprecated
  Order splitting preference

### adjustmentPresentations

    public List adjustmentPresentations

  Deprecated
  Order Adjustments, mostly discounts, used by the JSP, as a list of OrderDiscountPresentation objects. This is retrieved only when using the OrderAdjustmentPersistence select method.

Constructor Detail

### OrderValue

    public OrderValue()

  Deprecated
  Constructs an OrderValue object

Method Detail

### getTotal

    public Money getTotal(int totalType)
                   throws InvalidArgumentException

  Deprecated
  Gets the order total for the given total type

  Parameters
    `total` - type
  Returns
    Money object containing the specified total
  Throws
    `InvalidArgumentException` - if an invalid total type parameter is passed
  See Also
    `OrderConstants`

### getBaseShipping

    public Money getBaseShipping()

  Deprecated
  The base shipping is not kept in the database currently. It must hence be re-calculated from the order adjustment (the discount that was applied) and the discounted shipping value.

  Returns
    the shipping before discount as a Money object

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.